=== debian/control ===
Source: rtl8188eu
Section: misc
Priority: optional
Maintainer: liuxin <liuxin@uniontech.com>
Build-Depends: debhelper (>= 11),
                dkms,
                bc,
                module-assistant,
                build-essential
Standards-Version: 4.1.3
Vcs-Browser: https://github.com/lwfinger/rtl8188eu
Vcs-Git: https://github.com/lwfinger/rtl8188eu.git

Package: rtl8188eu-dkms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DKMS files to build and install rtl8188ec
 The rtl8188ec driver provides the driver for USB wifi adapter.
 This package contains the DKMS files to build and install rtl8188ec.
 To install this package, you have to install the header files for your
 current kernel manually (usually included in the "linux-headers-<your
 architecture>").
